@import "~assets/variables.scss";

.container {
    width: 100%;
    .header {
        height: 40vh;
        display: table;
        width: 100%;
        @media (max-width: 760px)  {
            display: block;
            height: inherit;
        }
        .block {
            display: table-cell;
            vertical-align: middle;
            width: 50%;
            display: table-cell;
            font-size: 40px;
            font-family: 'Montserrat';
            font-weight: bold;
            label {
                display: block;
            }
            &.title {
                text-align: right;
                padding-right:5%;
                background: $secondary;
                @media (max-width: 760px)  {
                    padding:0;
                    width: 100%;
                    display: flex;
                    align-items: center;
                    justify-content: center;
                }
                label {
                    @media (max-width: 760px)  {
                        flex-wrap: wrap;
                        font-weight: 300;
                        font-size: 20px;
                        padding: 10px;
                    }        
                    @media (max-width: 460px)  {
                        font-size: 12px;
                        padding: 10px 5px;
                    }
                }
            }
            &.subtitle {
                text-align: left;
                padding-left:5%;
                font-weight: 300;
                font-size:26px;
                background: $primary;
                font-family: 'Lato';
                color: #ffffff;
                position: relative;     
                @media (max-width: 760px)  {
                    display: block;
                    width: 100%;
                    float: left;
                    text-align: center;
                    font-size: 20px;
                    padding:0;
                }                       
                label {
                    position: relative;
                    width: 115px;
                    margin: 10px 0;
                    text-align: center;
                    font-weight: 400;
                    font-family: 'Montserrat';
                    @media (max-width: 760px)  {
                        width: 100%;
                    }
                }
                .logo {
                    display: none;
                    background: url(../assets/logo.png) no-repeat scroll 0 0 transparent;
                    width: 100px;
                    display: inline-block;
                    background-size: contain;          
                    background-position: center;
                }                
                i.flags {
                    overflow: hidden;
                    border-radius:50%;
                    width: 30px;
                    height: 30px;
                    display: inline-block;
                    text-align: center;
                    margin-left: 0px;
                    &.spain {
                        background: linear-gradient(#eb2d0f 25%, #efb833 25%, #efb833 75%,  #eb2d0f 75%);
                        position: relative;
                        z-index: 1;
                    }
                    &.germany {
                        background: linear-gradient(#241817 25%, #eb2d0f 25%, #eb2d0f 75%,  #efb833 75%);
                        margin-left: -16px;
                        z-index: 0;
                        position: relative;                        
                    }
                }
                &.granada {                    
                    background-image: url(../assets/granada.jpg);
                    //background-image: url(https://upload.wikimedia.org/wikipedia/commons/thumb/8/8c/The_whole_Alhambra_Granada_Spain.jpg/1280px-The_whole_Alhambra_Granada_Spain.jpg);
                    background-repeat: no-repeat;
                    background-size: cover;
                    background-position: 10%;
                    &:before{
                        content: '';
                        background-color: $primary;
                        position: absolute;
                        top: 0;
                        bottom: 0;
                        left: 0;
                        right: 0;
                        opacity: 0.7;
                        z-index: 0;                     
                    }
                }
            }
        }
    }
}

agm-map {
  height: 300px;
}